## live-manual 5.0~a2

=== debian/changelog ===
live-manual (1:5.0~a2-2) unstable; urgency=low

  * Removing myself from uploaders, lost trust in Debian (#804315).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Nov 2015 13:04:24 +0100

live-manual (1:5.0~a2-1) unstable; urgency=low

  [ Carlos Zuferri ]
  * Starting work on stretch.
  * Removing remaining references to jessie.
  * Reinstating temporarily removed German translation po files.
  * Reinstating temporarily removed Romanian translation po files.
  * Reinstating temporarily removed Brazilian Portuguese translation po
    files.
  * Reinstating temporarily removed Italian translation po files.
  * Reinstating temporarily removed Polish translation po files.
  * Adding links to languages in index.html.
  * Updating manuals from po files.
  * Updating Catalan translation.
  * Updating Spanish translation.
  * Updating French translation.
  * Adding debian/changelog to check-spelling.
  * Adding debian/changelog to list of files.
  * Substituting http.debian.net for httpredir.debian.org as default in
    user_customization-packages.ssi.
  * Removing references to cdebootstrap since it is not supported anymore.
  * Removing 'jessie' from bold type.
  * Updating translation files from original English texts.
  * Updating Catalan translation.
  * Updating Spanish translation.
  * Updating French translation.

  [ victory ]
  * Sync Japanese translations.

  [ Carlos Zuferri ]
  * Correcting mirror predirector's url in user_customization-
    packages.ssi, Japanese translation.
  * Removing 'jessie' from bold formatting, Japanese translation.
  * Updating Japanese translation.

  [ Daniel Baumann ]
  * Wrap and sort debian control file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Aug 2015 11:03:57 +0200
