=== debian/control ===
Source: live-manual
Section: doc
Priority: optional
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders:
 Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
 Carlos Zuferri <chals@altorricon.com>,
Build-Depends:
 debhelper (>= 9),
 ruby,
 ruby-nokogiri,
Build-Depends-Indep:
 locales,
 po4a,
 sisu-complete (>= 4.2.5-2),
Build-Conflicts:
 locales-all,
Standards-Version: 3.9.6
Homepage: http://live-systems.org/devel/live-manual/
Vcs-Browser: http://live-systems.org/gitweb/?p=live-manual.git
Vcs-Git: git://live-systems.org/git/live-manual.git

Package: live-manual
Section: metapackages
Architecture: all
Depends:
 live-manual-epub (>= ${source:Version}),
 live-manual-html (>= ${source:Version}),
 live-manual-odf (>= ${source:Version}),
 live-manual-pdf (>= ${source:Version}),
 live-manual-txt (>= ${source:Version}),
 ${misc:Depends},
Description: Live Systems Documentation (metapackage)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package is a metapackage depending on all available output formats.

Package: live-manual-epub
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Description: Live Systems Documentation (epub)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the epub output.

Package: live-manual-html
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Description: Live Systems Documentation (html)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the html output.

Package: live-manual-odf
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Description: Live Systems Documentation (odf)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the odf output.

Package: live-manual-pdf
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Description: Live Systems Documentation (pdf)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the pdf output.

Package: live-manual-txt
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Description: Live Systems Documentation (txt)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the txt output.
