=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
  Carlos Zuferri <chals@altorricon.com>,
+ Daniel Baumann <mail@daniel-baumann.ch>,
 Build-Depends:
  debhelper (>= 9),
  ruby,
@@ -16,9 +17,9 @@
 Build-Conflicts:
  locales-all,
 Standards-Version: 3.9.6
-Homepage: http://live-systems.org/devel/live-manual/
-Vcs-Browser: http://live-systems.org/gitweb/?p=live-manual.git
-Vcs-Git: git://live-systems.org/git/live-manual.git
+Homepage: http://debian-live.alioth.debian.org/devel/live-manual/
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-live/live-manual.git
+Vcs-Git: http://anonscm.debian.org/git/debian-live/live-manual.git
 
 Package: live-manual
 Section: metapackages
