## live-manual 20151217.1

=== debian/changelog ===
live-manual (2:20151217.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Removing myself from uploaders, again (Closes: #826258).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 Jul 2016 20:36:08 +0200
