## live-manual 20250226

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Makefile
 
 ## live-manual(7) - Documentation
+## Copyright (C) 2016-2020 The Debian Live team
 ## Copyright (C) 2006-2015 Live Systems Project <debian-live@lists.debian.org>
 ##
 ## live-manual comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
@@ -12,7 +13,7 @@
 
 LANGUAGES := en $(shell cd manual/po && ls)
 
-FORMATS := epub html odf pdf txt
+FORMATS := epub html odf pdf
 
 DEBUG := 0
 
@@ -64,16 +65,16 @@
 
 build: clean
 	#FIXME: do a proper dependency-based build
-	#FORMATS = epub html odf pdf txt
+	#FORMATS = epub html odf pdf
 	#...
 	#%.pdf: $(sisu_sources)
 	#	sisu-pdf -v live-manual.ssm
 	#etc.
 
 	@# FIXME: sisu-concordance sisu-pg sisu-sqlite
-
+	$(MAKE) -C $(CURDIR)/manual LANGUAGES="$(filter-out en,$(LANGUAGES))"
 	cd $(CURDIR)/manual; \
-	sisu --configure
+	sisu --configure en/live-manual.ssm
 	for LANGUAGE in $(LANGUAGES); \
 	do \
 		for FORMAT in $(FORMATS); \
@@ -91,7 +92,7 @@
 		TODIR=$(CURDIR)/build/manual; \
 		cp $${FROMDIR}/index.html.in $${TODIR}; \
 		sed -e "s|@DATE_BUILD@|$(shell LC_ALL=C date -R)|" \
-		    -e "s|@DATE_CHANGE@|$(shell LC_ALL=C git log | grep -m1 Date | awk -FDate: '{ print $2 }' | sed -e 's|  ||g')|" \
+		    -e "s|@DATE_CHANGE@|$(shell git log -n 1 --pretty="format:%H %aI")|" \
 		$${TODIR}/index.html.in > $${TODIR}/index.$${LANGUAGE}.html; \
 		rm $${TODIR}/index.html.in; \
 	done
@@ -132,6 +133,10 @@
 	rm -f manual/po/*/*~
 	rm -f manual/po/*/*.mo
 
+gitclean:
+	# To be used when the translation files only contain autogenerated changes
+	git checkout -- manual/pot/* manual/po/*/* manual/en/live-manual.ssm
+
 distclean: clean
 	rm -rf build
 
@@ -153,3 +158,5 @@
 
 spell:
 	@./manual/bin/check-spelling.sh
+
+.PHONY: all test tidy build autobuild commit info install uninstall clean distclean rebuild fixfuzzy check translate spell
