=== manual/Makefile ===
--- 
+++ 
@@ -35,12 +35,12 @@
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
-		echo "I: po4a can be obtained from http://po4a.alioth.debian.org/"; \
+		echo "I: po4a can be obtained from https://po4a.org"; \
 		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
 		exit 1; \
 	fi
 
-	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-manual --package-version $(shell cat ../VERSION) $(PO4A_FLAGS) po4a.cfg
+	po4a --copyright-holder "Debian Live Project" --keep 0 --package-name live-manual --package-version $(shell dpkg-parsechangelog --show-field Version --file ../debian/changelog | sed -e 's/^[0-9]://') $(PO4A_FLAGS) po4a.cfg
 
 clean:
 	rm -f po/*/*.po~
@@ -67,3 +67,5 @@
 	fi
 	
 	@echo " done!"
+
+.PHONY: all update build clean distclean rebuild check
