=== debian/changelog ===
live-manual (2:20250226) unstable; urgency=medium

  [ Ben Armstrong ]
  * Removed myself from Uploaders.

  [ Steve McIntyre ]
  * Repo moved to salsa

  [ Luca Boccassi ]
  * Deploy manual on Salsa pages
  * Note that GPG key for repos should be in ASCII armored form
  * Update contribution policy to mention Salsa
  * Update index URLs for Salsa pages

  [ Moritz Schlarb ]
  * Add README file referencing the actual manual URL
  * Fixup various URLs

  [ d3fault ]
  * Mention .list.chroot_install before the topic of removing packages

  [ Lyndon Brown ]
  * fix user setup file location (Closes: #831337)
  * remove daniel from uploaders (Closes: #826258)
  * amend copyright
  * "Live Systems" -> "Debian Live"
  * coding-style: update
  * landing page: update

  [ Raphaël Hertzog ]
  * Drop project_procedures.ssi as live-build is not used for official releases

  [ Debian Janitor ]
  * Drop custom source compression.
  * Bump debhelper from deprecated 9 to 12.
    + debian/rules: Move --fail-missing argument to dh_missing.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dh arguments: --parallel
  * Fix day-of-week for changelog entry 20090201-1.
  * Apply multi-arch hints.
    + live-manual-epub, live-manual-html, live-manual-odf, live-manual-pdf,
      live-manual-txt: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on sisu-complete.

  [ Roland Clobus ]
  * Add myself as author
  * Various fixes related to the CI
  * translations: Delete all generated files. They are generated from the po files.
  * Used deb.debian.org instead of ftp.debian.org. See also #860472
  * Updated various URLs.
  * Many updates to text (it is 10 years since the last version was published)
  * Various corrections to the example command lines
  * feature: Support for --apt-ftp-proxy was removed
  * feature: Mention non-free-firmware
  * feature: --distribution defaults to 'testing'
  * Debian packaging updates

  [ Nick Brown ]
  * Document auth.conf.d custom configuration

  [ sasha0552 ]
  * Add "cryptsetup-initramfs" in the encrypted persistence example.

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Feb 2025 19:48:06 +0000
