=== debian/control ===
Source: live-manual
Section: doc
Priority: optional
Maintainer: Debian Live Maintainers <debian-live@lists.debian.org>
Uploaders:
 Carlos Zuferri <chals@altorricon.com>,
Build-Depends:
 debhelper-compat (= 12),
 ruby,
 ruby-nokogiri,
Build-Depends-Indep:
 dpkg-dev,
 po4a,
 sisu-complete,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://live-team.pages.debian.net/live-manual/
Vcs-Browser: https://salsa.debian.org/live-team/live-manual
Vcs-Git: https://salsa.debian.org/live-team/live-manual.git

Package: live-manual
Section: metapackages
Architecture: all
Depends:
 live-manual-epub (>= ${source:Version}),
 live-manual-html (>= ${source:Version}),
 live-manual-odf (>= ${source:Version}),
 live-manual-pdf (>= ${source:Version}),
 ${misc:Depends},
Description: Debian Live Documentation (metapackage)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Debian Live project.
 .
 This package is a metapackage depending on all available output formats.

Package: live-manual-epub
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Multi-Arch: foreign
Description: Debian Live Documentation (epub)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the epub output.

Package: live-manual-html
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Multi-Arch: foreign
Replaces: live-manual-txt (<< 2:20250211~)
Breaks: live-manual-txt (<< 2:20250211~)
Description: Debian Live Documentation (html)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the html output.

Package: live-manual-odf
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Multi-Arch: foreign
Description: Debian Live Documentation (odf)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the odf output.

Package: live-manual-pdf
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Multi-Arch: foreign
Description: Debian Live Documentation (pdf)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the pdf output.

Package: live-manual-txt
Architecture: all
Depends:
 ${misc:Depends}, live-manual-html (>= 2:20250211~)
Provides:
 live-manual,
Multi-Arch: foreign
Description: Debian Live Documentation (txt)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 The text version is no longer provided, use the html variant instead.
 .
 This package is the transitional dummy package for live-manual-pdf.
 It can safely be removed.
