=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	make -C manual update
	# sisu needs UTF-8
	LC_ALL=C.UTF-8 dh_auto_build

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/live-manual/COPYING
	rm -f debian/tmp/usr/share/doc/live-manual/_sisu/image/.empty
	rm -f debian/tmp/usr/share/doc/live-manual/pdf/live-manual.landscape.pdf
	rm -f debian/tmp/usr/share/doc/live-manual/pdf/live-manual.portrait.pdf

override_dh_compress:
	dh_compress -X.epub -X.html -X.odt

override_dh_missing:
	dh_missing --fail-missing
