## live-manual 20250226build1

=== debian/changelog ===
live-manual (2:20250226build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 12:36:01 +0000
